- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
List addons.
HTTP request
GET https://apihub.googleapis.com/v1/{parent=projects/*/locations/*}/addons
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this addon will be created. Format: |
Query parameters
| Parameters | |
|---|---|
filter |
Optional. An expression that filters the list of addons. The only supported filter is |
pageSize |
Optional. The maximum number of hub addons to return. The service may return fewer than this value. If unspecified, at most 50 hub addons will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters (except pageSize) provided to |
Request body
The request body must be empty.
Response body
The addons.list method's response.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"addons": [
{
object ( |
| Fields | |
|---|---|
addons[] |
The list of addons. |
nextPageToken |
A token to retrieve the next page of results, or empty if there are no more results in the list. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/apihub.readonlyhttps://www.googleapis.com/auth/apihub.readwritehttps://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the parent resource:
apihub.addons.list
For more information, see the IAM documentation.